TokenFeatureGenerator (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.util.featuregen, class: TokenFeatureGenerator

# Class TokenFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.TokenFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class TokenFeatureGenerator extends Object implements AdaptiveFeatureGenerator
Generates a feature which contains a token itself.

See Also:
  - `AdaptiveFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenFeatureGenerator()`
  Initializes a `TokenFeatureGenerator`.
  `TokenFeatureGenerator(boolean lowercase)`
  Initializes a `TokenFeatureGenerator`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] preds)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### TokenFeatureGenerator

    public TokenFeatureGenerator(boolean lowercase)
    Initializes a `TokenFeatureGenerator`.
    Parameters:
      `lowercase` - Whether or not to use lower-casing.

  - ### TokenFeatureGenerator

    public TokenFeatureGenerator()
    Initializes a `TokenFeatureGenerator`. Lower-casing will be enabled.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] preds)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `preds` - The outcomes for the tokens prior to the specified index.